Package org.apache.commons.jxpath

# Class XMLDocumentContainer

java.lang.Object
org.apache.commons.jxpath.XMLDocumentContainer

All Implemented Interfaces:
  `Serializable`, `Container`

@Deprecated public class XMLDocumentContainer extends Object implements Container
Deprecated.
1.1 Please use `DocumentContainer`
An XML document container reads and parses XML only when it is accessed. JXPath traverses Containers transparently - you use the same paths to access objects in containers as you do to access those objects directly. You can create XMLDocumentContainers for various XML documents that may or may not be accessed by XPaths. If they are, they will be automatically read, parsed and traversed. If they are not - they won't be read at all.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLDocumentContainer(URL xmlURL)`
  Deprecated.
  Constructs a new XMLDocumentContainer.
  `XMLDocumentContainer(Source source)`
  Deprecated.
  Constructs a new XMLDocumentContainer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getValue()`
  Deprecated.
  Reads XML, caches it internally and returns the Document.
  `void`
  `setValue(Object value)`
  Deprecated.
  Throws an UnsupportedOperationException

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLDocumentContainer

    public XMLDocumentContainer(Source source)
    Deprecated.
    Constructs a new XMLDocumentContainer.
    Parameters:
      `source` - XML source

  - ### XMLDocumentContainer

    public XMLDocumentContainer(URL xmlURL)
    Deprecated.
    Constructs a new XMLDocumentContainer.
    Parameters:
      `xmlURL` - a URL for an XML file. Use getClass().getResource(resourceName) to load XML from a resource file.

- ## Method Details

  - ### getValue

    public Object getValue()
    Deprecated.
    Reads XML, caches it internally and returns the Document.
    Specified by:
      `getValue` in interface `Container`
    Returns:
      Object value

  - ### setValue

    public void setValue(Object value)
    Deprecated.
    Throws an UnsupportedOperationException
    Specified by:
      `setValue` in interface `Container`
    Parameters:
      `value` - to set